> ## Documentation Index
> Fetch the complete documentation index at: https://dify-6c0370d8-fix-template-upload-size-guidance.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# アプリの WebApp 設定を取得

> **対象アプリ**：Chatflow、Workflow、Agent、チャットボット、レガシー Agent、テキストジェネレーター。

アプリのホスト型 Web アプリのブランディングと表示設定（タイトル、アイコン、テーマカラー、デフォルト言語など）を返します。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /site
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
paths:
  /site:
    get:
      tags:
        - アプリケーション設定
      summary: アプリの WebApp 設定を取得
      description: |-
        **対象アプリ**：Chatflow、Workflow、Agent、チャットボット、レガシー Agent、テキストジェネレーター。

        アプリのホスト型 Web アプリのブランディングと表示設定（タイトル、アイコン、テーマカラー、デフォルト言語など）を返します。
      operationId: getBasicChatWebAppSettingsJa
      responses:
        '200':
          content:
            application/json:
              examples:
                webAppSettings:
                  summary: レスポンス例
                  value:
                    chat_color_theme: '#4A90D9'
                    chat_color_theme_inverted: false
                    copyright: 2025 Dify
                    custom_disclaimer: ''
                    default_language: en-US
                    description: 便利なカスタマーサービスチャットボット。
                    icon: 🤖
                    icon_background: '#FFFFFF'
                    icon_type: emoji
                    icon_url: null
                    input_placeholder: 製品について何でもお尋ねください…
                    privacy_policy: https://example.com/privacy
                    show_workflow_steps: false
                    title: My Chat App
                    use_icon_as_answer_icon: true
              schema:
                $ref: '#/components/schemas/WebAppSettingsResponse'
          description: アプリケーションの Web アプリ設定。
        '403':
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden
                  value:
                    code: forbidden
                    message: >-
                      You don't have the permission to access the requested
                      resource. It is either read-protected or not readable by
                      the server.
                    status: 403
          description: '`forbidden` : このアプリケーションのサイトが見つからないか、ワークスペースがアーカイブされています。'
components:
  schemas:
    WebAppSettingsResponse:
      properties:
        chat_color_theme:
          description: チャットカラーテーマ。
          type: string
        chat_color_theme_inverted:
          description: チャットカラーテーマが反転しているかどうか。
          type: boolean
        copyright:
          description: 著作権テキスト。
          type: string
        custom_disclaimer:
          description: カスタム免責事項テキスト。
          type: string
        default_language:
          description: デフォルト言語コード。
          type: string
        description:
          description: Web アプリの説明。
          type: string
        icon:
          description: アイコンのコンテンツ（絵文字または画像 ID）。
          type: string
        icon_background:
          description: アイコンの背景色。
          type: string
        icon_type:
          description: 使用されるアイコンのタイプ。`emoji` は絵文字アイコン、`image` はアップロードされた画像アイコンです。
          type: string
        icon_url:
          description: アイコン画像の URL。
          format: url
          nullable: true
          type: string
        input_placeholder:
          description: Web アプリのメッセージ入力ボックスに表示されるプレースホルダーテキストです。設定されていない場合は `null` です。
          nullable: true
          type: string
        privacy_policy:
          description: プライバシーポリシー URL。
          type: string
        show_workflow_steps:
          description: ワークフローステップを表示するかどうか。
          type: boolean
        title:
          description: Web アプリタイトル。
          type: string
        use_icon_as_answer_icon:
          description: アプリアイコンを回答アイコンとして使用するかどうか。
          type: boolean
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````